API INQUIRY STATUS
About 1 min
USDT region transaction status inquiry API (USDT).
Request
The Transaction Status Inquiry API enables merchants to retrieve real-time transaction status information. Supported transaction types include Pay-in transactions, Payout transactions, and other transaction types.
Request Path:
sandbox:
https://sandbox-gateway.smilepayz.com/v2.0/inquiry-status
production:https://gateway.smilepayz.com/v2.0/inquiry-status
Header Parameters
| Field | Required | Type | Description |
|---|---|---|---|
| Content-Type | M | String | application/json request body. |
| X-TIMESTAMP | M | String | Datetime with zone offset, format yyyy-MM-ddTHH:mm:ss±HH:mm |
| X-SIGNATURE | M | String | Signature of JSON body (see product Signature doc). |
| X-PARTNER-ID | M | String | Your merchantID |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
| tradeType | M | Number | Transaction type specification Format: Integer value Values: 1 (Payin), 2 (Payout) Used to identify the transaction category for status inquiry |
| orderNo | C | String(32) | Merchant-unique id |
| tradeNo | C | String(32) | Smilepayz tradeNo for this order. |
Important Requirement
Transaction Identifier Required: At least one of
tradeNoororderNomust be provided for transaction status inquiry
Example Body – Inquiry Status Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"tradeType": 1,
"orderNo": "2000112900000000000001"
}
{
"tradeType": 2,
"tradeNo": "112200312406111311517153"
}
Response
HTTP Response
| Field | Required | Type | Description |
|---|---|---|---|
| Content-Type | M | String | application/json response or callback body. |
| X-TIMESTAMP | M | String | Datetime with zone offset, format yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
| code | M | String | 00 success, other values error. |
| message | M | String | UTF-8 human-readable result line. |
| tradeNo | O | String | Smilepayz tradeNo for this order. |
| tradeType | O | Number | Transaction type specification Format: Integer value Values: 1 (Payin), 2 (Payout) Indicates the transaction category that was queried |
| paymentMethod | O | String | See Payment methods doc. |
| money | O | Object | Currency plus amount for this transaction. |
| currency | M | String | Fixed to USDT. |
| amount | M | Number | Amount |
| status | O | String | Order or payment status enum value. |
| remark | O | String | Additional transaction information or notes Format: UTF-8 encoded string Contains supplementary details about the transaction status |
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code": "00",
"message": "Successful",
"money": {
"amount": 20000,
"currency": "USDT"
},
"paymentMethod": "USDT",
"status": "SUCCESS",
"tradeNo": "122200312406111311517153",
"tradeType": 2
}
